Capitolo 2. Esecuzione di GIMP
| Parte I. Introduzione a GIMP |

## Capitolo 2. Esecuzione di GIMP

## 1. Eseguire GIMP

Diario delle Revisioni
Revisione $Revision: 1740 $ | 2006-02-17 | ciampix

Il modo più usato per eseguire GIMP è di fare clic sull'icona corrispondente (se il vostro sistema è predisposto per mostrarla) oppure potete anche eseguirlo battendo gimp a riga di comando. Se ci sono più versioni di GIMP installate, può essere necessario battere per es. gimp-2.2 per eseguire la versione specificata. È possibile aggiungere alla riga di comando, dopo il nome di gimp, un'elenco di file immagine e questi saranno automaticamente aperti da GIMP alla partenza. Naturalmente è sempre possibile aprire altri file da GIMP una volta che questo è in esecuzione.

Molti sistemi operativi sono impostabili in modo tale da "associare" vari tipi di immagine a GIMP i maniera da farlo partire automaticamente quando si esegue un doppio clic sulle loro icone.

| Suggerimento

Se si desidera che un certo tipo di file venga automaticamente aperto in GIMP, è necessario associare tale file con il programma "gimp-remote" piuttosto che con "gimp". Il programma gimp-remote è un programma ausiliario che viene fornito con gimp. Quando viene eseguito gimp-remote, se GIMP non è già in esecuzione nel sistema, esso viene avviato e il nome dell'immagine viene passato come argomento. Se invece GIMP è già in esecuzione, l'immagine viene semplicemente caricata nel programma senza riavviarne un'altra copia.

### 1.1. Argomenti della riga di comando

Normalmente non è necessario dare alcun argomento per far partire GIMP, comunque qui sotto sono elencati alcuni che potrebbero prima o poi tornare utili. Non è un'elenco completo; sui sistemi Unix puoi ottenere l'elenco completo eseguendo `man gimp` in una finestra di terminale.

-h, --help

  Mostra un'elenco di tutte le opzioni a riga di comando.

-v, --version

  Stampa la versione di GIMP e esce.

--verbose

  Mostra i messaggi di partenza in maniera dettagliata.

-d, --no-data

  Non caricare motivi, gradienti, tavolozze, o pennelli. Spesso utile in ambiti non interattivi dove il tempo di esecuzione deve essere ottimizzato.

--display `display`

  Usato per indicare il display X (non usato nella versione di GIMP per Microsoft Windows).

-s, --no-splash

  Non mostrare la schermata iniziale alla partenza.

--session `name`

  Usa un sessionrc differente per la sessione GIMP. Il nome di sessione dato viene accodato al nome file sessionrc predefinito.

-g, --gimprc `gimprc`

  Usa un gimprc alternativo invece del predefinito. Il file "gimprc" contiene la registrazione delle preferenze. Utile nel caso che il percorso dei plugin o le specifiche macchina siano differenti.

-c, --console-messages

  Non mostrare le finestre di dialogo per errori e avvertimenti. Stampa tutti i messaggi sulla console.

-b, --batch `commands`

  Esegui l'insieme dei comandi in maniera non interattiva. L'insieme dei comandi è tipicamente in forma di script che può essere eseguito da una delle estensioni di script di GIMP. Se il comando è `-` i comandi vengono letti dallo standard input.

### 1.2. Piattaforme conosciute

GIMP è attualmente il programma di fotoritocco più ampiamente supportato esistente. Le piattaforme su cui GIMP è provato funzionare includono GNU/Linux, Apple Mac OS X (Darwin), Microsoft Windows 95, 98, Me, XP, NT4, e 2000, OpenBSD, NetBSD, FreeBSD, Solaris, SunOS, AIX, HP-UX, Tru64, Digital UNIX, OSF/1, IRIX, OS/2, and BeOS.

GIMP può essere facilmente portato su altri sistemi operativi grazie alla disponibilità del suo codice sorgente.

### 1.3. Lingua

Se tutto va bene, GIMP rileva la lingua dal sistema. Questo meccanismo potrebbe non funzionare su alcune macchine o si potrebbe voler usare un'altra lingua. È comunque possibile cambiare lingua:

Procedura 2.1. Linux

- In LINUX: in console, battere `LANGUAGE=it gimp` o `LANG=it gimp` sostituire it con en, de, ecc. a seconda della lingua che si desidera impostare. Nota: con l'esecuzione del comando `LANGUAGE=it o LANG=it` si sta impostando una variabile ambiente per il programma eseguito successivamente, in questo caso `gimp`.

Procedura 2.2. Windows XP

- In WINDOWS XP: Pannello di controllo / Sistema / Avanzato / tasto "Ambiente" / Nell'area "Variabili di sistema": Tasto "Aggiungi": inserire LANG come nome e it o de... come valore. Attenzione! È necessario fare clic sui tre "OK" successivi per confermare la scelta.

  Se si cambia spesso lingua, è possibile creare una procedura batch per automatizzare il processo. Aprire il programma "Blocco note" e battere i seguenti comandi (per la lingua francese ad esempio):

  set lang=fr
  cd c:\Programmi\GIMP-2.0\bin
  GIMP-2.2.exe

  Salvare questo file come GIMP-FR.BAT (o altro nome, basta che sia sempre con l'estensione .BAT. Creare un'icona per esso e trascinarla sul desktop o su un menu a piacere.

Procedura 2.3. Windows ME

- Avvio/Programmi/ Accessori/Strumenti di sistema/Informazioni di sistema/Strumenti/Sistema Utilità di configurazione/"Ambiente" tab/Tasto "Nuovo": inserire LANG come nome e it o de... come valore.

Procedura 2.4. Windows 95/Windows 98

- Sotto Window 95 e Windows 98, aggiungere la riga `set lang=it` nel file «C:\autoexec.bat».

Procedura 2.5. Mac OS X

- Andare alle preferenze di sistema, fare clic sull'icona internazionale, e nella linguetta Lingua, la lingua preferita dovrebbe essere la prima dell'elenco.

2.8. Inoltre . . . |  | 2. Prima esecuzionde di GIMP